namespace YMhut.Box.Core.Tools;

public sealed class ToolModule(ToolMetadata metadata) : IToolModule
{
    public string Id => Metadata.Id;

    public ToolMetadata Metadata { get; } = metadata;

    public object CreateViewModel()
    {
        return new ToolModuleViewModel(Metadata);
    }
}
